#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt){
    size_t number_count;
    if (prompt == true) cerr << "Enter number_count: ";
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);
    if (prompt == true) cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++){
        cin >> in.numbers[i];
    }

    if (prompt == true) cerr << "Enter bin count: ";
    cin >> in.bin_count;

    return in;
}

int
main()
{
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
